Bug 596928 - libvirt: node device APIs don't list wireless interfaces
Summary: libvirt: node device APIs don't list wireless interfaces
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 604811
TreeView+ depends on / blocked
 
Reported: 2010-05-27 19:08 UTC by Cole Robinson
Modified: 2010-07-08 18:30 UTC (History)
7 users (show)

Fixed In Version: libvirt-0.7.7-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 604811 (view as bug list)
Environment:
Last Closed: 2010-07-08 18:30:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cole Robinson 2010-05-27 19:08:04 UTC
The udev node device backend doesn't list wireless interfaces. This causes an issue with virt-manager users if trying to create interfaces via the 'interface' APIs: if they remove their wireless sysconfig file, the card needs to be listed by the node device APIs so we can offer to readd the config.

Fixed upstream here:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=07f6c3a95f1caca368c8723b5b0a25ae2faa1ffe

Comment 1 Fedora Update System 2010-06-17 17:53:32 UTC
libvirt-0.7.7-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libvirt-0.7.7-5.fc13

Comment 2 Fedora Update System 2010-06-21 13:10:15 UTC
libvirt-0.7.7-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvirt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvirt-0.7.7-5.fc13

Comment 3 Fedora Update System 2010-07-08 18:30:00 UTC
libvirt-0.7.7-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.